Detections
Download detection audit
Downloads the detection’s audit as a file. format is csv (default) — a zip of entities.csv, provenance.csv, and reviews.csv — or json, a pretty-printed JSON file.
GET
/
workspaces
/
{workspaceId}
/
detections
/
{detectionId}
/
audit
Download detection audit
curl --request GET \
--url https://api.example.com/workspaces/{workspaceId}/detections/{detectionId}/auditimport requests
url = "https://api.example.com/workspaces/{workspaceId}/detections/{detectionId}/audit"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/workspaces/{workspaceId}/detections/{detectionId}/audit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"name": "<string>"
}{
"message": "<string>",
"name": "<string>"
}{
"message": "<string>",
"name": "<string>"
}{
"message": "<string>",
"name": "<string>"
}Path Parameters
Workspace identifier.
Opaque identifier of the detection.
Pattern:
^detection_[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$Query Parameters
Output format; defaults to csv.
Allowed value:
"csv"Response
The detection's exported audit.
Download detection audit
